#!/bin/bash
if [ $# -eq 1 ]
then
    filename=`realpath $1`
else
    filename=`realpath mvs_server/primitives.mvs`
fi

cd mvs_server
python python_sccd_compiler/sccdc.py -p threads server.xml >> /dev/null
exec python run_mvs_server.py $filename
